Skip to navigation

Retrieve video embeddings

This method retrieves embeddings for a specific video embedding task. Ensure the task status is ready before invoking this method. Refer to the Retrieve the status of a video embedding tasks page for instructions on checking the task status.

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

task_idstringRequired
The unique identifier of your video embedding task.

Query parameters

embedding_optionlist of enumsOptional

Specifies which types of embeddings to retrieve. Values: visual, audio, transcription. For details, see the Embedding options section.

Note

The platform returns all available embeddings when you omit this parameter.

Allowed values:

Response

Video embeddings have successfully been retrieved.
_idstringOptional
The unique identifier of the video embedding task.
model_namestringOptional
The name of the video understanding model the platform used to create the embedding.
statusstringOptional

A string indicating the status of the video indexing task. It can take one of the following values: processing, ready or failed.

created_atstringOptionalformat: "date-time"

A string representing the date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the resource was created.

updated_atstringOptionalformat: "date-time"

A string representing the date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the resource was last updated.

video_embeddingobjectOptional
An object containing the metadata associated with the embedding.

Errors

400
Bad Request Error